[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDragMode

Indicates whether a drag operation can start automatically.

## Declaration

Source position: controls.pp line 493

`type TDragMode = (`
`dmManual,` |  | Dragging can start only by explicit code.
`dmAutomatic` |  | Dragging starts when the left mouse button is pressed on the control.
`);`

## Version info

Modified in LCL 3.0 to be an alias to TDragMode in System.UITypes for FPC 3.2.3 or higher.